Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.secdnsext.v11
Class EPPSecDNSExtTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.secdnsext.v11.EPPSecDNSExtTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPSecDNSExtTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.secdnsxt package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.secdnsext package concrete `EPPSecDNSExt`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

Version:
  $Revision: 1.9 $
Author:
  $Author: jim $

Constructor Summary
`EPPSecDNSExtTst(java.lang.String name)` Creates a new EPPSecDNSExtTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPSecDNSExtTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testDomainCreate()` Unit test of `EPPDomainCreateCmd` including secDNS extensions.
`void` | `testDomainInfoRespWithSecDNSExt()` Unit test of `testDomainInfoRespWithSecDNSExt`.
`void` | `testDomainUpdate()` Unit test of `EPPDomainUpdateCmd` including secDNS extensions.
`void` | `testDsDataGeneration()` Test the generation of DS data from the Key data.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPSecDNSExtTst

    public EPPSecDNSExtTst(java.lang.String name)

  Creates a new EPPSecDNSExtTst object.

  Parameters:
    `name` - DOCUMENT ME!

Method Detail

### testDomainInfoRespWithSecDNSExt

    public void testDomainInfoRespWithSecDNSExt()

  Unit test of `testDomainInfoRespWithSecDNSExt`. The response to `testDomainInfoRespWithSecDNSExt` is `EPPDomainInfoResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDomainCreate

    public void testDomainCreate()

  Unit test of `EPPDomainCreateCmd` including secDNS extensions. The response to `EPPDomainCreateCmd` is `EPPDomainCreateResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDomainUpdate

    public void testDomainUpdate()

  Unit test of `EPPDomainUpdateCmd` including secDNS extensions. The response to `EPPDomainUpdateCmd` is `EPPResponse`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testDsDataGeneration

    public void testDsDataGeneration()

  Test the generation of DS data from the Key data. The steps of the test includes:
  1. Create test key for example.com using RSASHA1.
  2. Generate SHA1 DS for test key and assert the DS attributes.
  3. Generate SHA256 DS for test key and assert the DS attributes.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPSecDNSExtTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.